## pppoeconf 1.17ubuntu1dennis4

=== po/Makefile ===
DOMAIN=pppoeconf-dennis
POFILES=$(wildcard *.po)
MOFILES=$(patsubst %.po,%.mo,$(POFILES))
LINGUAS=$(basename $(POFILES))
MAINDIR=..
GETTEXTFILES=$(MAINDIR)/pppoeconf
POTFILE=$(DOMAIN).pot
DESTDIR=/

%.mo: %.po
	msgfmt --statistics -o $@ $<

%.po: $(DOMAIN).pot
	msgmerge -U $*.po $(DOMAIN).pot

$(DOMAIN).pot: $(GETTEXTFILES)
	$(shell xgettext -L Shell -o $(DOMAIN).pot $(GETTEXTFILES))

update-po:
	-for lang in $(LINGUAS); do\
	    msgmerge -U $$lang.po $(DOMAIN).pot; \
	done

install: $(MOFILES)
	-for lang in $(LINGUAS); do\
	    install -d $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
	    install -m 644 $$lang.mo $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done

all: update-po $(MOFILES)

clean:
	- rm *.mo *~

.PHONY: update-po

## pppoeconf 0.9.10.6

=== debian/changelog ===
pppoeconf (0.9.10.6) unstable; urgency=low

  * using a different pattern to detect Ethernet interfaces, should work with
    USB-Adapters.

 -- Eduard Bloch <blade@debian.org>  Tue,  2 Apr 2002 23:16:08 +0200

pppoeconf (0.9.10.5) unstable; urgency=low

  * fixed dependency on whiptail-provider

 -- Eduard Bloch <blade@debian.org>  Thu,  7 Mar 2002 20:12:36 +0100

pppoeconf (0.9.10.4) unstable; urgency=low

  * removed a interface list building command, forgotten while merging with
    0.9.10.2. Set fixed path to ifconfig and "-a" option to force listing all
    existing devices. Closes: #121683
  * wrote a basic manpage

 -- Eduard Bloch <blade@debian.org>  Mon, 10 Dec 2001 09:59:52 +0100

pppoeconf (0.9.10.3) unstable; urgency=low

  * The why-do-people-allways-submit-patches-few-hours-after-last-release
    release. Added pt_BR.po, thanks to Andre Luis Lopes. Closes: #122036

 -- Eduard Bloch <blade@debian.org>  Sun,  2 Dec 2001 16:16:59 +0100

pppoeconf (0.9.10.2) unstable; urgency=low

  * now parsing ifconfig output to get interface names. procfs seems to
    contain wrong information on some systems, Closes: #121683

 -- Eduard Bloch <blade@debian.org>  Sat,  1 Dec 2001 17:29:01 +0100

pppoeconf (0.9.10.1) unstable; urgency=low

  * new prompts, more settings, better check for sane configuration 
    (Closes: #120420) guaranteed clean up of the temp directory etc.
  * updated german translation
  * got updated french translation from Laurent Pelecq (thanks!), 
    modified slightly

 -- Eduard Bloch <blade@debian.org>  Tue, 27 Nov 2001 01:13:31 +0100

pppoeconf (0.9.9-3) unstable; urgency=low

  * MSS limit query implemented

 -- Eduard Bloch <blade@debian.org>  Mon, 24 Sep 2001 03:01:44 +0200

pppoeconf (0.9.9-2) unstable; urgency=low

  * added a query about MSS size limitation

 -- Eduard Bloch <blade@debian.org>  Mon, 24 Sep 2001 02:08:26 +0200

pppoeconf (0.9.9-1) unstable; urgency=low

  * distributing as an external package. Too complicated to keep in sync
    with pppoe. Closes: #111270
  * included a help screen in the script
  * got french translation from Laurent Pelecq, thanks.

 -- Eduard Bloch <blade@debian.org>  Wed, 19 Sep 2001 17:11:07 +0200

pppoeconf (0.9-1) unstable; urgency=low

  * New Release.
  * using whiptail, less external dependencies
  * more secure tempfile handling
  * gettext support, german localisation || To Klaus: Der elegante Weg ;)
  * created menu entry
  * replaced rxvt with Terminal=true in pppoeconf.desktop 

 -- Eduard Bloch <blade@debian.org>  Thu, 13 Sep 2001 13:36:18 +0200

pppoeconf (0.5-1) unstable; urgency=low

  * Initial Release.

 -- Klaus Knopper <knoppix@knopper.net>  Mon, 12 Sep 2001 00:24:42 +0200

=== debian/control ===
Source: pppoeconf
Section: net
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), gettext
Standards-Version: 3.5.2

Package: pppoeconf
Architecture: all
Depends: whiptail-provider | whiptail, pppoe (>= 3.0), ppp (>= 2.4.1)
Recommends: locales
Description: configures PPPoE/ADSL
 Userfriendly tool for initial configuration of a DSL (PPPoE) connection.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	cd po ; sh update-and-compile.sh

	touch build-stamp

clean:
	dh_testdir
#	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	cd po ; sh update-and-compile.sh clean

	dh_clean

install: build
	dh_testdir
#	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/pppoeconf.
	install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/share/applnk/Internet
	install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/applnk/Internet/
	install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/share/gnome/apps/Internet
	install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/gnome/apps/Internet/
	install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/sbin
	install -m 755 pppoeconf $(CURDIR)/debian/pppoeconf/usr/sbin/
	install -m 700 -d $(CURDIR)/debian/pppoeconf/etc/ppp/ip-up.d
	install -m 700 000usepeerdns $(CURDIR)/debian/pppoeconf/etc/ppp/ip-up.d/
	cp -a po/usr $(CURDIR)/debian/pppoeconf/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	# dh_testdir
#	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman pppoeconf.8
	dh_installinfo
#	dh_undocumented pppoeconf.8
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pppoeconf 1.0.8ubuntu2

=== debian/changelog ===
pppoeconf (1.0.8ubuntu2) warty; urgency=low

  * Call pppoe_on_boot, instead of ppp_on_boot.dsl.

 -- Daniel Stone <daniel.stone@canonical.com>  Thu, 23 Sep 2004 13:49:39 +1000

pppoeconf (1.0.8ubuntu1) warty; urgency=low

  * New version which integrates with pppoe-enabled ppp, no longer requires
    the pppoe package
  * Don't install the .desktop file

 -- Matt Zimmerman <mdz@canonical.com>  Tue,  7 Sep 2004 08:23:40 -0700

pppoeconf (1.0.8) unstable; urgency=low

  * Setting group and permissions of self-created dsl-provider file according
    to base-passwd documentation (closes: #267775)

 -- Eduard Bloch <blade@debian.org>  Wed, 25 Aug 2004 17:24:12 +0200

pppoeconf (1.0.7) unstable; urgency=high

  * Fixing an obvious bug introduced in the last version

 -- Eduard Bloch <blade@debian.org>  Thu, 19 Aug 2004 01:36:35 +0200

pppoeconf (1.0.6) unstable; urgency=medium

  * added ifconfig ... up to work around pppoe-discovery limitation
  * don't ask about dialing after reboot when it's run on KNOPPIX
  * de.po: typo fixes

 -- Eduard Bloch <blade@debian.org>  Wed, 18 Aug 2004 17:18:52 +0200

pppoeconf (1.0.5) unstable; urgency=medium

  * Making the 0clampmss file executable (closes: #266635)

 -- Eduard Bloch <blade@debian.org>  Wed, 18 Aug 2004 17:05:53 +0200

pppoeconf (1.0.4) unstable; urgency=low

  * exluding irlan devices from the scan list because of the old kernel bug
    freezing the processes (closes: #252523)
  * Kernel space pppoe support based on patch from Marco d'Itri with some
    fixes. A template of the dsl-provider file is generated if the pppoe
    package was not installed before (closes: #259855)
  * not changing the lcp-echo-interval, relying on defaults (closes: #243137)
  * rewrote XSI:isms in the postinst file (closes: #256104). The bashisms in
    the pppoeconf code have to stay there - it is a bash script and uses
    bash-specific features (i18n)

 -- Eduard Bloch <blade@debian.org>  Sun, 18 Jul 2004 12:21:56 +0200

pppoeconf (1.0.3) unstable; urgency=low

  * removed 000userpeerdns from the package and added a postinst script that
    deletes obsolete versions of the script (from Woody and from previous
    experiments intended to deactivate it; closes: #252262)

 -- Eduard Bloch <blade@debian.org>  Sun, 30 May 2004 12:44:08 +0200

pppoeconf (1.0.2) unstable; urgency=low

  * fixed filename mask to match any interface name (closes: #251642, #170554)
  * inserted the interpreter into 000userpeerdns (closes: #213685)
  * Included su-to-root as alternative suid wrapper which is provided by
    the menu package nowadays (closes: #244882)
  * no longer offering to change lcp-echo-interval, the default made
    more sense (closes: #241137)
  * Replaced Ctrl-C hint with ESC in the whiptail message (closes: #218990)
  * MSS/MTU problem description fixed (closes: #207346)
  * Acknowledge previous NMU, ja.po is there (closes: #222309)
  * moved po to debian/po to pass it to debconf translation team

 -- Eduard Bloch <blade@debian.org>  Sun, 30 May 2004 01:44:46 +0200

pppoeconf (1.0.1) unstable; urgency=low

  * NMU (I asked maintainer 4 days ago).
  * Apply Japanese translation (fixed: Bug#222309).

 -- Kenshi Muto <kmuto@debian.org>  Mon,  3 May 2004 11:19:10 +0900

pppoeconf (1.0) unstable; urgency=low

  * truncated 000usepeerdns to become useless and set dependency on ppp
    package that provides 0000usepeerdns. The script is finaly removed in
    postrm if not changed by the user in the meantime. Closes: #212756
  * new version number, enough of sub-release insanity

 -- Eduard Bloch <blade@debian.org>  Thu, 25 Sep 2003 23:40:17 +0200

pppoeconf (0.9.10.10) unstable; urgency=low

  * Slovenian translation, thanks to  Jure Cuhalev <gandalf@owca.info>,
    Closes: #191587
  * Italian translation, thanks to Alessandro Dalvit <a_dalvit@katamail.com>,
    Closes: #189495

 -- Eduard Bloch <blade@debian.org>  Sun, 17 Aug 2003 16:55:51 +0200

pppoeconf (0.9.10.9) unstable; urgency=low

  * added fixes from Fabian Franz to use Xdialog, Suggests: xdialog
  * updated es.po, thanks to Marcelo Ramos, closes: #187642
  * updated pt_BR.po, thanks to Andre Luis Lopes, closes: #166551

 -- Eduard Bloch <blade@debian.org>  Sun,  6 Apr 2003 15:27:07 +0200

pppoeconf (0.9.10.8) unstable; urgency=low

  * included Spanish translation, thanks to 
    Marcelo Ramos <mramos@montevideo.com.uy>
  * changed the connection invocation method
  * updated help text for weird login names

 -- Eduard Bloch <blade@debian.org>  Tue,  3 Sep 2002 22:31:10 +0200

pppoeconf (0.9.10.7) unstable; urgency=low

  * Fixing files without final newline automaticaly, closes: #153429
  * Adding user data to chap-secrets too

 -- Eduard Bloch <blade@debian.org>  Thu, 18 Jul 2002 16:08:53 +0200

=== debian/control ===
Source: pppoeconf
Section: net
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends-Indep: debhelper (>> 4.1.16), gettext
Standards-Version: 3.5.8

Package: pppoeconf
Architecture: all
Depends: whiptail-provider | whiptail, ppp (>= 2.4.2+20040428-2) | pppoe (>= 3.0), ppp (>= 2.4.1.uus2-4)
Recommends: locales
Suggests: xdialog
Description: configures PPPoE/ADSL connections
 Userfriendly tool for initial configuration of a DSL (PPPoE) connection.

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	cd po ; sh update-and-compile.sh
+	cd debian/po ; sh update-and-compile.sh
 
 	touch build-stamp
 
@@ -31,7 +31,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	cd po ; sh update-and-compile.sh clean
+	cd debian/po ; sh update-and-compile.sh clean
 
 	dh_clean
 
@@ -43,14 +43,11 @@
 
 	# Add here commands to install the package into debian/pppoeconf.
 	install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/share/applnk/Internet
-	install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/applnk/Internet/
 	install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/share/gnome/apps/Internet
-	install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/gnome/apps/Internet/
 	install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/sbin
 	install -m 755 pppoeconf $(CURDIR)/debian/pppoeconf/usr/sbin/
 	install -m 700 -d $(CURDIR)/debian/pppoeconf/etc/ppp/ip-up.d
-	install -m 700 000usepeerdns $(CURDIR)/debian/pppoeconf/etc/ppp/ip-up.d/
-	cp -a po/usr $(CURDIR)/debian/pppoeconf/
+	cp -a debian/po/usr $(CURDIR)/debian/pppoeconf/
 
 # Build architecture-independent files here.
 binary-indep: build install

## pppoeconf 1.1ubuntu1

=== debian/changelog ===
pppoeconf (1.1ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Jeff Bailey <jbailey@ubuntu.com>  Fri,  4 Mar 2005 07:41:17 -0500

pppoeconf (1.1) unstable; urgency=high

  * do not stumble over PPP usernames with slashes within (closes: #295315)
  * minor English language bugs fixed (closes: #291865)

 -- Eduard Bloch <blade@debian.org>  Fri, 18 Feb 2005 01:07:21 +0100

pppoeconf (1.0.17ubuntu1) hoary; urgency=low

  * Re-sync with debian

 -- LaMont Jones <lamont@ubuntu.com>  Tue, 11 Jan 2005 20:23:21 -0700

pppoeconf (1.0.17) unstable; urgency=medium

  * documented the potential need to fix the 0clampmss in README.Debian
    (closes: #289001)

 -- Eduard Bloch <blade@debian.org>  Thu, 06 Jan 2005 19:59:16 +0100

pppoeconf (1.0.16) unstable; urgency=high

  * Now really changed the dependency (closes: #284594)

 -- Eduard Bloch <blade@debian.org>  Sun, 19 Dec 2004 19:05:00 +0100

pppoeconf (1.0.15) unstable; urgency=high

  * Changed dependency on gettext to gettext-base (closes: #285496)

 -- Eduard Bloch <blade@debian.org>  Thu, 16 Dec 2004 17:44:09 +0100

pppoeconf (1.0.14) unstable; urgency=low

  * Translation overhaul, using gettext instead of bash features. Using
    the common gettext format in po files now (edited the submitted
    files to adapt them to the new syntax). Thanks to Denis Barbier and
    all translators (closes: #281849)
  * changed hints in the menu to "Network" (closes: #284594)
  * added an icon (based on gnome-modem.png, closes: #276035)

 -- Eduard Bloch <blade@debian.org>  Sat, 11 Dec 2004 13:44:46 +0100

pppoeconf (1.0.13ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.
  * Take over debian/po/{pppoeconf.pot,templates.pot} from unstable.

 -- Matthias Klose <m@klose.in-berlin.de>  Mon, 15 Nov 2004 15:51:13 +0000

pppoeconf (1.0.13) unstable; urgency=low

  * inserting the MSS clamping rule as the first one
  * using -U in a repeated run to work around potential problems with
    "special" modems or ISPs (closes: #273909)
  * added zh_TW.po (closes: #276190)

 -- Eduard Bloch <blade@debian.org>  Sun, 07 Nov 2004 21:41:07 +0100

pppoeconf (1.0.12) unstable; urgency=medium

  * Yet Another Candidate For Testing 
  * checks the availability of the pppoe kernel driver by looking at procfs
    instead of the module state (closes: #279428)

 -- Eduard Bloch <blade@debian.org>  Thu, 04 Nov 2004 15:50:46 +0100

pppoeconf (1.0.11ubuntu1) hoary; urgency=low

  * Sync back with Debian.

 -- Daniel Stone <daniel.stone@canonical.com>  Tue,  2 Nov 2004 16:28:59 +0100

pppoeconf (1.0.11) unstable; urgency=low

  * moved chmod +x to chmod 755 - which otherwise would break because of the
    umask used above. Now really closes: #266635. Yeah, sorry again.

 -- Eduard Bloch <blade@debian.org>  Fri, 08 Oct 2004 09:04:04 +0200

pppoeconf (1.0.10) unstable; urgency=low

  * added replacedefaultroute to the options file template (closes: #275168)
  * added the PT translation from Simão Pedro Cardoso (closes: Bug#275036)

 -- Eduard Bloch <blade@debian.org>  Sat, 25 Sep 2004 19:07:46 +0200

pppoeconf (1.0.8sarge9) testing-proposed-updates; urgency=low

  * t-p-u upload

 -- Eduard Bloch <blade@debian.org>  Sat, 25 Sep 2004 19:03:42 +0200

pppoeconf (1.0.9) unstable; urgency=medium

  * The "eat your own dog food" release
  * faster scan, skipping devices that would not be used anyways
  * corrected the setting of interface name on reconfiguration

 -- Eduard Bloch <blade@debian.org>  Sat, 18 Sep 2004 10:16:19 +0200

=== debian/control ===
Source: pppoeconf
Section: net
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends-Indep: debhelper (>> 4.1.16), gettext (>= 0.13)
Standards-Version: 3.6.1.1

Package: pppoeconf
Architecture: all
Depends: whiptail-provider | whiptail, ppp (>= 2.4.2+20040428-2) | pppoe (>= 3.0), ppp (>= 2.4.1.uus2-4), gettext-base (>= 0.13)
Recommends: locales
Suggests: xdialog
Description: configures PPPoE/ADSL connections
 Userfriendly tool for initial configuration of a DSL (PPPoE) connection.

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	dh_testdir
 #	dh_testroot
 	dh_clean -k
-	dh_installdirs
+	dh_installdirs usr/share/pixmaps
 
 	# Add here commands to install the package into debian/pppoeconf.
 	install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/share/applnk/Internet
@@ -47,6 +47,7 @@
 	install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/sbin
 	install -m 755 pppoeconf $(CURDIR)/debian/pppoeconf/usr/sbin/
 	install -m 700 -d $(CURDIR)/debian/pppoeconf/etc/ppp/ip-up.d
+	install -m 644 debian/pppoeconf.xpm $(CURDIR)/debian/pppoeconf/usr/share/pixmaps/
 	cp -a debian/po/usr $(CURDIR)/debian/pppoeconf/
 
 # Build architecture-independent files here.

## pppoeconf 1.7

=== debian/changelog ===
pppoeconf (1.7) unstable; urgency=medium

  * adding automatic activation of the ethernet interface to
    /etc/network/interfaces (closes: #305941, #306331)
  * minor gramatic fixes in the German translation, typo fixes by Sven
    Dreyer <sven.AT.dreyer-net.de> (closes: #306100)
  * removed a redundant dialog call

 -- Eduard Bloch <blade@debian.org>  Sat, 30 Apr 2005 18:56:22 +0200

pppoeconf (1.6) unstable; urgency=high

  * replaced -p with -o in the iptables call (stupid typo, closes: #304219)

 -- Eduard Bloch <blade@debian.org>  Mon, 11 Apr 2005 22:27:17 +0200

pppoeconf (1.5) unstable; urgency=high

  * now properly moved the desktop file to a fd.o compliant location and used
    Categories to declare its group (closes: #301441)

 -- Eduard Bloch <blade@debian.org>  Sat, 26 Mar 2005 01:46:31 +0100

pppoeconf (1.4) unstable; urgency=medium

  * fixed bashisms (echo -e) and added versioned dependency on sed (>= 3.95),
    thanks to Colin Watson for pointing this out
  * moved desktop file from Internet to the System section (closes: #291326)
  * added -o $PPP_IFACE to MSS clamping setup command and added
    ip-down.d/0clampss creation which removes MSS clamping rule(s) on the
    particular interface (closes: #299451)

 -- Eduard Bloch <blade@debian.org>  Sat,  5 Mar 2005 22:41:05 +0100

pppoeconf (1.3) unstable; urgency=medium

  * transition to the new ppp-on-boot method, adding a profile to the
    interfaces file (closes: #298223)

 -- Eduard Bloch <blade@debian.org>  Sat,  5 Mar 2005 13:16:40 +0100

pppoeconf (1.2) unstable; urgency=medium

  * sed command changes to work in-place and delete lines completely where
    they are no longer needed (closes: #296778)

 -- Eduard Bloch <blade@debian.org>  Fri, 18 Feb 2005 01:12:39 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: pppoeconf
 Architecture: all
-Depends: whiptail-provider | whiptail, ppp (>= 2.4.2+20040428-2) | pppoe (>= 3.0), ppp (>= 2.4.1.uus2-4), gettext-base (>= 0.13)
+Depends: whiptail-provider | whiptail, ppp (>= 2.4.2+20040428-2) | pppoe (>= 3.0), ppp (>= 2.4.1.uus2-4), gettext-base (>= 0.13), sed (>= 3.95)
 Recommends: locales
 Suggests: xdialog
 Description: configures PPPoE/ADSL connections

=== debian/rules ===
--- 
+++ 
@@ -39,14 +39,17 @@
 	dh_testdir
 #	dh_testroot
 	dh_clean -k
-	dh_installdirs usr/share/pixmaps
+	dh_installdirs usr/share/pixmaps usr/sbin etc/ppp/ip-up.d usr/share/applications
 
 	# Add here commands to install the package into debian/pppoeconf.
-	install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/share/applnk/Internet
-	install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/share/gnome/apps/Internet
-	install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/sbin
+	#install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/share/applnk/System
+	#install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/applnk/System/
+	#install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/share/gnome/apps/System
+	#install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/gnome/apps/System/
+	install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/applications
+	#install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/sbin
 	install -m 755 pppoeconf $(CURDIR)/debian/pppoeconf/usr/sbin/
-	install -m 700 -d $(CURDIR)/debian/pppoeconf/etc/ppp/ip-up.d
+	#install -m 700 -d $(CURDIR)/debian/pppoeconf/etc/ppp/ip-up.d
 	install -m 644 debian/pppoeconf.xpm $(CURDIR)/debian/pppoeconf/usr/share/pixmaps/
 	cp -a debian/po/usr $(CURDIR)/debian/pppoeconf/

## pppoeconf 1.8ubuntu2

=== debian/changelog ===
pppoeconf (1.8ubuntu2) breezy; urgency=low

  * Apply patch from Daniel Haler to properly create pppoe stanzas in
    /etc/network/interfaces, which should really close #10080 this time.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Oct 2005 00:09:12 +1000

pppoeconf (1.8ubuntu1) breezy; urgency=low

  * Merge with Debian, bringing in a fix for Ubuntu bug #10080.
  * Drop all our changes (which have been committed upstream), except
    for the removal of the .desktop file that we don't want.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 29 Sep 2005 13:32:03 +1000

pppoeconf (1.8) unstable; urgency=low

  * orphaning package, changed Maintainer
  * applied pppoeconf_1.6ubuntu2_unknown.patch from Ubuntu to add the nic-
    prefixes to non-eth device names (closes: #330150)
  * french typo fix from Simon Paillard (closes: #308512)

 -- Eduard Bloch <blade@debian.org>  Wed, 28 Sep 2005 00:11:04 +0200

pppoeconf (1.6ubuntu2) breezy; urgency=low

  * Handle non-eth*-named devices and include a nic-$iface line for those
    instead of the usual "plugin rp-pppoe.so $iface".  Ubuntu #16127

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 26 Sep 2005 12:06:01 +0200

pppoeconf (1.6ubuntu1) breezy; urgency=low

  * Resynchronise with Debian, resolving merge conflicts.

 -- Adam Conrad <adconrad@0c3.net>  Thu, 21 Apr 2005 09:23:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pppoeconf
 Section: net
 Priority: optional
-Maintainer: Eduard Bloch <blade@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends-Indep: debhelper (>> 4.1.16), gettext (>= 0.13)
 Standards-Version: 3.6.1.1

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,8 @@
 	#install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/applnk/System/
 	#install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/share/gnome/apps/System
 	#install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/gnome/apps/System/
-	install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/applications
+	# No .desktop file for Ubuntu, please...
+	#install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/applications
 	#install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/sbin
 	install -m 755 pppoeconf $(CURDIR)/debian/pppoeconf/usr/sbin/
 	#install -m 700 -d $(CURDIR)/debian/pppoeconf/etc/ppp/ip-up.d

## pppoeconf 1.10ubuntu3

=== debian/changelog ===
pppoeconf (1.10ubuntu3) edgy; urgency=low

  * Remove broken zenity support, backport from Debian pppoeconf 1.12
    (Closes Malone: #54383)

 -- Adrien Cunin <adri2000@gmail.com>  Sat, 21 Oct 2006 18:52:23 +0200

pppoeconf (1.10ubuntu2) edgy; urgency=low

  * Remove dependency on modconf to get this installable again.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 12 Jul 2006 14:58:13 +0200

pppoeconf (1.10ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue,  4 Jul 2006 14:56:04 +0200

pppoeconf (1.10) unstable; urgency=low

  * QA upload.
  * Add support to zenity.
  * Fix regular expressions to handle auto word in interfaces file. Thanks
    to Filipus Klutiero <cheal@hotpop.com> for the patch. Closes: #334361.
  * Don't use debian/po for translation and use a Makefile to do all the
    work for us. Thanks to Thomas Huriaux <thomas.huriaux@kti.ae.poznan.pl>
    for the patch. Closes: #262730.
  * Add dependency of modconf. Closes: #315884.
  * Bump Standards-Version to 3.7.2 (no changes).
  * Add debhelper in Build-Depends field since it's used in clean target.

 -- Otavio Salvador <otavio@debian.org>  Sat, 27 May 2006 11:11:34 -0300

pppoeconf (1.9) unstable; urgency=medium

  * QA upload.
  * pppoeconf.8.sgml: Relicense under the GPL.  Closes: #346385.
  * Hyphenate user-friendly.  Closes: #341066.
  * Switch to debhelper 4.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Sun, 22 Jan 2006 11:15:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends-Indep: debhelper (>> 4.1.16), gettext (>= 0.13)
-Standards-Version: 3.6.1.1
+Build-Depends: debhelper (>> 4.1.16)
+Standards-Version: 3.7.2
 
 Package: pppoeconf
 Architecture: all
@@ -11,4 +12,4 @@
 Recommends: locales
 Suggests: xdialog
 Description: configures PPPoE/ADSL connections
- Userfriendly tool for initial configuration of a DSL (PPPoE) connection.
+ User-friendly tool for initial configuration of a DSL (PPPoE) connection.

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# This is the debhelper compatability version to use.
-export DH_COMPAT=3
-
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	
+
 
 	touch configure-stamp
 
@@ -21,7 +18,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	cd debian/po ; sh update-and-compile.sh
+	cd po; $(MAKE)
 
 	touch build-stamp
 
@@ -31,7 +28,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	cd debian/po ; sh update-and-compile.sh clean
+	cd po; $(MAKE) update-po clean
 
 	dh_clean
 
@@ -52,7 +49,7 @@
 	install -m 755 pppoeconf $(CURDIR)/debian/pppoeconf/usr/sbin/
 	#install -m 700 -d $(CURDIR)/debian/pppoeconf/etc/ppp/ip-up.d
 	install -m 644 debian/pppoeconf.xpm $(CURDIR)/debian/pppoeconf/usr/share/pixmaps/
-	cp -a debian/po/usr $(CURDIR)/debian/pppoeconf/
+	cd po; $(MAKE) install DESTDIR=$(CURDIR)/debian/pppoeconf/
 
 # Build architecture-independent files here.
 binary-indep: build install

## pppoeconf 1.12ubuntu1

=== debian/changelog ===
pppoeconf (1.12ubuntu1) feisty; urgency=low

  * Merge from debian unstable.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Nov 2006 19:39:46 +0100

pppoeconf (1.12) unstable; urgency=low

  * Correct missing backslash (Closes: #384777)
  * Clean debian/copyright file
  * Remove debhelper from Build-Depends-Indep
  * Delete zenity from Suggests
  * Fix bug number typo in last changelog

 -- Gregory Colpart (evolix) <reg@evolix.fr>  Sun,  3 Sep 2006 10:11:55 +0200

pppoeconf (1.11) unstable; urgency=low

  * New maintainer (Closes: #330421)
  * Add notice for PADO packets timeout in README.Debian (Closes: #286381)
  * Add '-t mangle' for TCPMSS iptables rule (Closes: #315166)
  * Remove usepeerdns in default file (Closes: #319285)
  * Add notice for ppp persistent connections in README.Debian (Closes: #169684)
  * Apply patch to ensure valid interfaces file. Thanks to Filipus Klutiero
    <cheal@hotpop.com>. (Closes: #371876)
  * Update fr.po (Closes: #374561)
  * Delete useless 000usepeerdns script.
  * Import patch from Ubuntu (1.10ubuntu2 version)
  * remove broken support of zenity
  * fix bug with namehelp.txt (unable to display if created too soon)
  * add dh_testroot in debian/rules

 -- Gregory Colpart (evolix) <reg@evolix.fr>  Mon, 24 Jul 2006 00:36:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: pppoeconf
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends-Indep: debhelper (>> 4.1.16), gettext (>= 0.13)
+Maintainer: Gregory Colpart (evolix) <reg@evolix.fr>
+Build-Depends-Indep: gettext (>= 0.13)
 Build-Depends: debhelper (>> 4.1.16)
 Standards-Version: 3.7.2

=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,7 @@
 # Build architecture-dependent files here.
 binary-arch: build install
 	# dh_testdir
-#	dh_testroot
+	dh_testroot
 #	dh_installdebconf	
 	dh_installdocs
 	dh_installexamples

## pppoeconf 1.13

=== debian/changelog ===
pppoeconf (1.13) unstable; urgency=low

  * Debconf translation: Russian added. (Closes: #405423)

 -- Gregory Colpart (evolix) <reg@evolix.fr>  Thu, 18 Jan 2007 09:24:22 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: pppoeconf
 Architecture: all
-Depends: whiptail-provider | whiptail, ppp (>= 2.4.2+20040428-2) | pppoe (>= 3.0), ppp (>= 2.4.1.uus2-4), gettext-base (>= 0.13), sed (>= 3.95)
+Depends: whiptail-provider | whiptail, ppp (>= 2.4.2+20040428-2) | pppoe (>= 3.0), ppp (>= 2.4.1.uus2-4), gettext-base (>= 0.13), sed (>= 3.95), modconf
 Recommends: locales
 Suggests: xdialog
 Description: configures PPPoE/ADSL connections

=== debian/rules ===
--- 
+++ 
@@ -43,8 +43,7 @@
 	#install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/applnk/System/
 	#install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/share/gnome/apps/System
 	#install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/gnome/apps/System/
-	# No .desktop file for Ubuntu, please...
-	#install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/applications
+	install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/applications
 	#install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/sbin
 	install -m 755 pppoeconf $(CURDIR)/debian/pppoeconf/usr/sbin/
 	#install -m 700 -d $(CURDIR)/debian/pppoeconf/etc/ppp/ip-up.d

## pppoeconf 1.16ubuntu1

=== debian/changelog ===
pppoeconf (1.16ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - do not install the desktop file
    - do not depend on modconf

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 14 Jun 2007 10:20:11 +0200

pppoeconf (1.16) unstable; urgency=low

  * Fix changing usepeerdns enabled->disabled (Closes: #426392)
  * Fix stupid bashism (Closes: #426570)
  * Make uniform treatments of dialog exit status
  * Make uniform grep/sed intructions
  * Add precisions to manpage (Closes: #426619) 

 -- Gregory Colpart (evolix) <reg@evolix.fr>  Thu, 31 May 2007 02:03:27 +0200

pppoeconf (1.15) unstable; urgency=low

  * Fix regex to match spaces in interfaces file (Closes: #422381)
  * Fix path of pppoe binary
  * Add -nox option to force ncurses use
  * Improve manpage content and clean generation

 -- Gregory Colpart (evolix) <reg@evolix.fr>  Sun, 27 May 2007 22:30:26 +0200

pppoeconf (1.14ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - do not install the desktop file
    - do not depend on modconf

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 May 2007 11:20:05 +0200

pppoeconf (1.14) unstable; urgency=low

  * Add fallback when no pppoe support. (Closes: #404322)
  * Add support for a dot in interface name. (Closes: #419695)
  * Add year 2007 in pppoeconf and copyright file.
  * Add some comments in pppoeconf.
  * Use temp dir in /tmp instead of /etc/ppp.

 -- Gregory Colpart (evolix) <reg@evolix.fr>  Wed, 18 Apr 2007 04:29:01 +0200

=== debian/control ===
Source: pppoeconf
Section: net
Priority: optional
Maintainer: Gregory Colpart (evolix) <reg@evolix.fr>
Build-Depends-Indep: gettext (>= 0.13), docbook-to-man
Build-Depends: debhelper (>> 4.1.16)
Standards-Version: 3.7.2

Package: pppoeconf
Architecture: all
Depends: whiptail-provider | whiptail, ppp (>= 2.4.2+20040428-2) | pppoe (>= 3.0), ppp (>= 2.4.1.uus2-4), gettext-base (>= 0.13), sed (>= 3.95)
Recommends: locales
Suggests: xdialog
Description: configures PPPoE/ADSL connections
 User-friendly tool for initial configuration of a DSL (PPPoE) connection.

## pppoeconf 1.17ubuntu1

=== debian/changelog ===
pppoeconf (1.17ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - do not install the desktop file
    - do not depend on modconf
    - Modify Maintainer value to match the DebianMaintainerField
      specification.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 03 Dec 2007 09:56:57 +0100

pppoeconf (1.17) unstable; urgency=low

  * Update menu file to new section Applications/System/Administration.
  * Update on .desktop file (Encoding and Categories fields, french translations).
  * Minor update on copyright file.
  * Correct script for removing MSS iptables rules. (Closes: #434137)
  * Add Vcs-* fields in debian/control.

 -- Gregory Colpart (evolix) <reg@evolix.fr>  Sat, 11 Aug 2007 03:12:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: pppoeconf
 Section: net
 Priority: optional
-Maintainer: Gregory Colpart (evolix) <reg@evolix.fr>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gregory Colpart (evolix) <reg@evolix.fr>
 Build-Depends-Indep: gettext (>= 0.13), docbook-to-man
 Build-Depends: debhelper (>> 4.1.16)
+Vcs-Git: git://git.debian.org/git/collab-maint/pppoeconf.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/pppoeconf.git
 Standards-Version: 3.7.2
 
 Package: pppoeconf

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,8 @@
 	# Add here commands to compile the package.
 	cd po; $(MAKE)
 
+	docbook-to-man pppoeconf.8.sgml > pppoeconf.8
+
 	touch build-stamp
 
 clean:
@@ -29,6 +31,8 @@
 
 	# Add here commands to clean up after the build process.
 	cd po; $(MAKE) update-po clean
+
+	- rm pppoeconf.8
 
 	dh_clean
 
@@ -43,7 +47,8 @@
 	#install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/applnk/System/
 	#install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/share/gnome/apps/System
 	#install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/gnome/apps/System/
-	install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/applications
+	# No .desktop file for Ubuntu, please...
+	#install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/applications
 	#install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/sbin
 	install -m 755 pppoeconf $(CURDIR)/debian/pppoeconf/usr/sbin/
 	#install -m 700 -d $(CURDIR)/debian/pppoeconf/etc/ppp/ip-up.d

## pppoeconf 1.17ubuntu1dennis1

=== debian/changelog ===
pppoeconf (1.17ubuntu1dennis1) hardy; urgency=low

  * debian/rules:
    - Install desktop file
  * pppoeconf.desktop:
    - Use gksudo
    - Change Name to 'ADSL/PPPOE'
  * ppoeconf:
    - Remove dialog asking about found devices and offering to run modconf
    - Add dialog asking if you want to enable or disable PPPOE
    - Backup /etc/network/interfaces before overwriting for later reverting

 -- Michael Terry <michael.terry@canonical.com>  Tue, 02 Dec 2008 13:37:00 -0500

## pppoeconf 1.17ubuntu1dennis2

=== debian/changelog ===
pppoeconf (1.17ubuntu1dennis2) hardy; urgency=low

  * pppoeconf:
    - Trigger a reboot request when we revert PPPOE changes to
      /etc/network/interfaces

 -- Michael Terry <michael.terry@canonical.com>  Wed, 03 Dec 2008 10:20:30 -0500

## pppoeconf 1.17ubuntu1dennis4

=== debian/changelog ===
pppoeconf (1.17ubuntu1dennis4) dennis; urgency=low

  * Change translation domain from "pppoeconf" to "pppoeconf-dennis" in 
    po/Makefile and pppoeconf script because pppoeconf.mo files are installed
    by generic langauge packs, thus defeating the effort to cause gettext to 
    fail to find translations for multibyte langs and therefore display English
    from source, per previous changelog entry

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Thu, 09 Apr 2009 17:09:00 -0400

pppoeconf (1.17ubuntu1dennis3) dennis; urgency=low

  * Removed multi-byte po files (they will display in default/C) 
  * Added updated single byte po files: de, es, fr, it
  * Fixes LP #341908

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Thu, 02 Apr 2009 12:12:48 -0400

=== debian/rules ===
--- 
+++ 
@@ -47,8 +47,7 @@
 	#install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/applnk/System/
 	#install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/share/gnome/apps/System
 	#install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/gnome/apps/System/
-	# No .desktop file for Ubuntu, please...
-	#install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/applications
+	install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/applications
 	#install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/sbin
 	install -m 755 pppoeconf $(CURDIR)/debian/pppoeconf/usr/sbin/
 	#install -m 700 -d $(CURDIR)/debian/pppoeconf/etc/ppp/ip-up.d

## pppoeconf 1.18

=== debian/changelog ===
pppoeconf (1.18) unstable; urgency=low

  * Fix two bashisms (read without variable).
  * Update translations in .desktop file (thanks to Jani Monoses
    <jani@ubuntu.com>).
  * Fix confusion between binary-arch and binary-indep in rules. 
  * Update to standards version 3.8.0, no further required changes. 
  * Avoid duplication of /pty/ lines in dsl-provider when using pppoeconf
    several times ((problem was only in non-kernel-pppoe mode).

 -- Gregory Colpart (evolix) <reg@evolix.fr>  Sun, 27 Jul 2008 03:06:31 +0200

=== debian/control ===
Source: pppoeconf
Section: net
Priority: optional
Maintainer: Gregory Colpart (evolix) <reg@evolix.fr>
Build-Depends-Indep: gettext (>= 0.13), docbook-to-man
Build-Depends: debhelper (>> 4.1.16)
Vcs-Git: git://git.debian.org/git/collab-maint/pppoeconf.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pppoeconf.git
Standards-Version: 3.8.0

Package: pppoeconf
Architecture: all
Depends: whiptail-provider | whiptail, ppp (>= 2.4.2+20040428-2) | pppoe (>= 3.0), ppp (>= 2.4.1.uus2-4), gettext-base (>= 0.13), sed (>= 3.95), modconf
Recommends: locales
Suggests: xdialog
Description: configures PPPoE/ADSL connections
 User-friendly tool for initial configuration of a DSL (PPPoE) connection.

## pppoeconf 1.18ubuntu1

=== debian/changelog ===
pppoeconf (1.18ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes: (LP: #260870)
    - do not install the desktop file
    - do not depend on modconf

 -- Bhavani Shankar <right2bhavi@gmail.com>  Mon, 25 Aug 2008 19:06:29 +0530

=== debian/control ===
Source: pppoeconf
Section: net
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gregory Colpart (evolix) <reg@evolix.fr>
Build-Depends-Indep: gettext (>= 0.13), docbook-to-man
Build-Depends: debhelper (>> 4.1.16)
Vcs-Git: git://git.debian.org/git/collab-maint/pppoeconf.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pppoeconf.git
Standards-Version: 3.8.0

Package: pppoeconf
Architecture: all
Depends: whiptail-provider | whiptail, ppp (>= 2.4.2+20040428-2) | pppoe (>= 3.0), ppp (>= 2.4.1.uus2-4), gettext-base (>= 0.13), sed (>= 3.95)
Recommends: locales
Suggests: xdialog
Description: configures PPPoE/ADSL connections
 User-friendly tool for initial configuration of a DSL (PPPoE) connection.

## pppoeconf 1.19

=== debian/changelog ===
pppoeconf (1.19) unstable; urgency=low

  * Add support for gksu when X is enabled. (Closes: #548231)
  * Change my email address, as I am now Debian developer. 
  * Bump debhelper compat level to 5. 
  * Update to standards version 3.8.3, no further required changes. 
  * Set proper .desktop categories. (Closes: #512893)
  * Add support for Gigabit network with Jumbo frames. Thanks to Kunihiko IMAI
    <bak@d2.dion.ne.jp>. (Closes: #499127) 
  * Add ${misc:Depends} in Depends: to avoid debhelper-but-no-misc-depends
    lintian report. 
  * Add "set -e" to postinst script to avoid maintainer-script-ignores-errors
    lintian report. 

 -- Gregory Colpart <reg@debian.org>  Sat, 07 Nov 2009 22:34:41 +0100

=== debian/control ===
Source: pppoeconf
Section: net
Priority: optional
Maintainer: Gregory Colpart <reg@debian.org>
Build-Depends-Indep: gettext (>= 0.13), docbook-to-man
Build-Depends: debhelper (>= 5)
Vcs-Git: git://git.debian.org/git/collab-maint/pppoeconf.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pppoeconf.git
Standards-Version: 3.8.3

Package: pppoeconf
Architecture: all
Depends: ${misc:Depends}, whiptail-provider | whiptail, ppp (>= 2.4.2+20040428-2) | pppoe (>= 3.0), ppp (>= 2.4.1.uus2-4), gettext-base (>= 0.13), sed (>= 3.95), modconf
Recommends: locales
Suggests: xdialog
Description: configures PPPoE/ADSL connections
 User-friendly tool for initial configuration of a DSL (PPPoE) connection.

=== debian/rules ===
--- 
+++ 
@@ -54,12 +54,12 @@
 	install -m 644 debian/pppoeconf.xpm $(CURDIR)/debian/pppoeconf/usr/share/pixmaps/
 	cd po; $(MAKE) install DESTDIR=$(CURDIR)/debian/pppoeconf/
 
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do by default.
+
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 	# dh_testdir
 	dh_testroot
 #	dh_installdebconf

## pppoeconf 1.19ubuntu1

=== debian/changelog ===
pppoeconf (1.19ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes: LP: #492141
    - do not install the desktop file
    - do not depend on modconf

 -- Bhavani Shankar <right2bhavi@gmail.com>  Thu, 03 Dec 2009 20:25:05 +0530

=== debian/control ===
Source: pppoeconf
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gregory Colpart <reg@debian.org>
Build-Depends-Indep: gettext (>= 0.13), docbook-to-man
Build-Depends: debhelper (>= 5)
Vcs-Git: git://git.debian.org/git/collab-maint/pppoeconf.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pppoeconf.git
Standards-Version: 3.8.3

Package: pppoeconf
Architecture: all
Depends: ${misc:Depends}, whiptail-provider | whiptail, ppp (>= 2.4.2+20040428-2) | pppoe (>= 3.0), ppp (>= 2.4.1.uus2-4), gettext-base (>= 0.13), sed (>= 3.95)
Recommends: locales
Suggests: xdialog
Description: configures PPPoE/ADSL connections
 User-friendly tool for initial configuration of a DSL (PPPoE) connection.

## pppoeconf 1.20

=== debian/changelog ===
pppoeconf (1.20) unstable; urgency=low

  * Fix pppoeconf.desktop (Closes: #590202) 
  * Drop depends on modconf (Closes: #613284) 
    Thanks to Alexander Reichle-Schmehl <alexander@schmehl.info>
  * Update POT and PO files. 
  * Update russian translation (Closes: #562701)
    Thanks to Yuri Kozlov <yuray@komyakino.ru> 
  * Update japanese translation (Closes: #622847)
    Thanks to Kenshi Muto <kmuto@debian.org> 
  * Update french translation
    Thanks to debian-l10n-french team!
  * Update to standards version 3.9.2, no further required changes. 

 -- Gregory Colpart <reg@debian.org>  Sat, 23 Apr 2011 11:32:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: pppoeconf
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gregory Colpart <reg@debian.org>
+Maintainer: Gregory Colpart <reg@debian.org>
 Build-Depends-Indep: gettext (>= 0.13), docbook-to-man
 Build-Depends: debhelper (>= 5)
 Vcs-Git: git://git.debian.org/git/collab-maint/pppoeconf.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pppoeconf.git
-Standards-Version: 3.8.3
+Standards-Version: 3.9.2
 
 Package: pppoeconf
 Architecture: all

## pppoeconf 1.20ubuntu1

=== debian/changelog ===
pppoeconf (1.20ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #799149). Remaining changes:
    - do not install the desktop file
  * Dropped change (Superceeded in debian)
    - do not depend on modconf

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 03 Jul 2011 13:15:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pppoeconf
 Section: net
 Priority: optional
-Maintainer: Gregory Colpart <reg@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gregory Colpart <reg@debian.org>
 Build-Depends-Indep: gettext (>= 0.13), docbook-to-man
 Build-Depends: debhelper (>= 5)
 Vcs-Git: git://git.debian.org/git/collab-maint/pppoeconf.git

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,8 @@
 	#install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/applnk/System/
 	#install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/share/gnome/apps/System
 	#install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/gnome/apps/System/
-	install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/applications
+	# No .desktop file for Ubuntu, please...
+	#install -m 644 pppoeconf.desktop $(CURDIR)/debian/pppoeconf/usr/share/applications
 	#install -m 755 -d $(CURDIR)/debian/pppoeconf/usr/sbin
 	install -m 755 pppoeconf $(CURDIR)/debian/pppoeconf/usr/sbin/
 	#install -m 700 -d $(CURDIR)/debian/pppoeconf/etc/ppp/ip-up.d

## pppoeconf 1.21

=== debian/changelog ===
pppoeconf (1.21) unstable; urgency=low

  [ Stefan Lippers-Hollmann ]
  * Add missing package dependency on ifupdown.
  * Follow ifupdown and switch from net-tools' ifconfig to iproute2, adapt
    dependencies accordingly (Closes: #728647).

  [ Gregory Colpart ]
  * Warn about changes in pap/chap-secrets files and comment old lines instead
    of remove (Closes: #697939).
  * Update to standards version 3.9.5, no further required changes. 
  * Add build-indep and build-arch targets (fix lintian warning).
  * Update POT and PO files.
  * Update japanese translation (Closes: #732174)
    Thanks to Kenshi Muto <kmuto@debian.org>
  * Update russian translation (Closes: #732192)
    Thanks to Yuri Kozlov <yuray@komyakino.ru> 
  * Update slovene language
    Thanks to Jure Cuhalev <gandalf@owca.info>

 -- Gregory Colpart <reg@debian.org>  Fri, 27 Dec 2013 03:03:25 +0100

## pppoeconf 1.21ubuntu1

=== debian/changelog ===
pppoeconf (1.21ubuntu1) utopic; urgency=medium

  * Merge from debian unstable (LP: #1332926). Remaining changes:
    - do not install the desktop file

 -- Angel Abad <angelabad@ubuntu.com>  Sun, 22 Jun 2014 10:44:49 +0200

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,9 @@
 	docbook-to-man pppoeconf.8.sgml > pppoeconf.8
 
 	touch build-stamp
+
+build-arch: build
+build-indep: build
 
 clean:
 	dh_testdir

## pppoeconf 1.21%2Bnmu2ubuntu1

=== debian/changelog ===
pppoeconf (1.21+nmu2ubuntu1) jammy; urgency=medium

  * Resynchronize with Debian, remaining changes
    debian/rules
    - do not install the desktop file

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Nov 2021 11:57:05 +0100

pppoeconf (1.21+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove -A option from pppoe-discovery (Closes: #990978).
    It had no function anymore and was removed in new versions.
    Thanks: Michael Prokop
  * Apply two manpage corrections (Closes: #814354).
    Thanks: Christoph Biedl

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 22 Jul 2021 20:51:01 +0200

pppoeconf (1.21+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 16:42:10 +0100

## pppoeconf 1.21%2Bnmu3.0antix1

=== po/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-DOMAIN=pppoeconf-dennis
+DOMAIN=pppoeconf
 POFILES=$(wildcard *.po)
 MOFILES=$(patsubst %.po,%.mo,$(POFILES))
 LINGUAS=$(basename $(POFILES))
